cmake_minimum_required(VERSION 3.10)

project(elcore50-signal-lib-examples)

set(CMAKE_EXECUTABLE_SUFFIX ".elf")

add_subdirectory(sample-fft-all)
add_subdirectory(sample-fft-float16-1d)
add_subdirectory(sample-fft-fract16-2d)

install(
    TARGETS
    sample-fft-all
    sample-fft-float16-1d
    sample-fft-fract16-2d
    DESTINATION
    libraries/tests/signal-lib-examples/elf
)
